info.bioinfweb.jphyloio.formats.xml.elementreaders

## Class AbstractXMLElementReader<P extends XMLReaderStreamDataProvider<? extends AbstractXMLEventReader<P>>>

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.xml.elementreaders.AbstractXMLElementReader<P>

- All Implemented Interfaces:
    XMLElementReader<P>
  Direct Known Subclasses:
    AbstractNeXMLElementReader, CommentElementReader, PhyloXMLCharactersElementReader, StartDocumentElementReader, XMLEndElementReader, XMLNoCharactersAllowedElementReader, XMLStartElementReader

      public abstract class AbstractXMLElementReader<P extends XMLReaderStreamDataProvider<? extends AbstractXMLEventReader<P>>>
      extends java.lang.Object
      implements XMLElementReader<P>

  Abstract implementation of an element reader that is used to process parts of an XML document.

  Methods implemented here are used commonly by element readers used to process XML formats.

  Author:
    Sarah Wiechers

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXMLElementReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `readAttributes(P streamDataProvider, javax.xml.stream.events.StartElement element, java.lang.String idPrefix, AttributeInfo... attributeInformation)`
    `protected void` | `readAttributes(P streamDataProvider, javax.xml.stream.events.StartElement element, java.lang.String idPrefix, java.util.LinkedHashMap<javax.xml.namespace.QName,AttributeInfo> attributeInformationMap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.formats.xml.elementreaders.XMLElementReader

      `readEvent`

- - ### Constructor Detail

    - #### AbstractXMLElementReader

          public AbstractXMLElementReader()

  - ### Method Detail

    - #### readAttributes

          protected void readAttributes(P streamDataProvider,
                                        javax.xml.stream.events.StartElement element,
                                        java.lang.String idPrefix,
                                        AttributeInfo... attributeInformation)
                                 throws JPhyloIOReaderException

      Throws:
        `JPhyloIOReaderException`

    - #### readAttributes

          protected void readAttributes(P streamDataProvider,
                                        javax.xml.stream.events.StartElement element,
                                        java.lang.String idPrefix,
                                        java.util.LinkedHashMap<javax.xml.namespace.QName,AttributeInfo> attributeInformationMap)
                                 throws JPhyloIOReaderException

      Throws:
        `JPhyloIOReaderException`